pub mod lights;
pub mod models;

use eyre::Result;
use reqwest::{header, Client};

const HUB_IP: &'static str = "10.60.0.163";
const HUE_TOKEN: &'static str = "sNLQz7sOVfji2VA42jeLwhx2rnwBCkYu-OVc2ddw";

pub fn get_client() -> Result<Client> {
    let mut headers = header::HeaderMap::new();
    headers.insert(
        "hue-application-key",
        header::HeaderValue::from_static(HUE_TOKEN),
    );

    let client = reqwest::Client::builder()
        .use_native_tls()
        .danger_accept_invalid_certs(true)
        .default_headers(headers)
        .build()?;

    Ok(client)
}
