use eyre::Result;
use std::str::FromStr;

use crate::{api, ToggleState};

pub async fn exec(id: &String, state: &Option<String>) -> Result<()> {
    let target_state = if let Some(target) = &state {
        ToggleState::from_str(target.as_str()).unwrap()
    } else {
        ToggleState::Swap
    };

    api::lights::toggle(id.clone(), target_state).await?;

    Ok(())
}
