mod api;
mod args;
mod commands;

use crate::args::ToggleState;
use clap::Parser;
use eyre::Result;

#[tokio::main]
async fn main() -> Result<()> {
    let args = args::Args::parse();

    match &args.command {
        args::Commands::Toggle { id, state } => {
            commands::toggle::exec(id, state).await?;
        }
        args::Commands::List => {
            commands::list::exec().await?;
        }
        args::Commands::Inspect => {
            panic!("Not implemented");
        }
    }

    Ok(())
}
